https://shopify.com/admin/api/2020-01/inventory_levels/adjust.jsonhttps://shopify.dev/docs/admin-api/rest/reference/inventory/inventorylevel#adjust-2020-01
The ID of the inventory item.
The ID of the location that the inventory level belongs to. To find the ID of the location, use the Location resource.
The amount to adjust the available inventory quantity. Send negative values to subtract from the current available quantity. For example, "available_adjustment": 2 increases the current available quantity by 2, and "available_adjustment": -3decreases the current available quantity by 3.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://shopify.com/admin/api/2020-01/inventory_levels/adjust.json' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://shopify.com/admin/api/2020-01/inventory_levels/adjust.jsonhttps://shopify.dev/docs/admin-api/rest/reference/inventory/inventorylevel#adjust-2020-01
The ID of the inventory item.
The ID of the location that the inventory level belongs to. To find the ID of the location, use the Location resource.
The amount to adjust the available inventory quantity. Send negative values to subtract from the current available quantity. For example, "available_adjustment": 2 increases the current available quantity by 2, and "available_adjustment": -3decreases the current available quantity by 3.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://shopify.com/admin/api/2020-01/inventory_levels/adjust.json' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}